Skip to content
Your Company Documentation Demo

Start typing to search all documentation.

Search the documentationFind a guide, feature, endpoint, or error across every section.

Request approval

Your Company APIApprovals

POSThttps://api.your-company.example/v1/matters/{matter_id}/approvals

AuthenticationRequires bearerAuth.

Description

Starts an Approval Chain for a specific Matter document version.

Parameters

matter_idpathstringrequired
Matter identifier.

Request body

application/jsonrequired

document_idstringrequired
chain_idstringrequired
summarystringrequired
due_atstring <date-time>

Responses

201The first approval stage.application/json
idstringrequired
matter_idstringrequired
document_idstringrequired
chain_idstringrequired
stageintegerrequired
statusstringrequired
Allowed values: pendingapprovedrejectedcanceled
summarystring | null
requested_bystringrequired
requested_atstring <date-time>required
due_atstring | null
decided_bystring | null
decided_atstring | null
decisionstring | null
Allowed values: approvedrejectednull
decision_notestring | null
Example response
{
  "id": "apr_01JAZ8M2F7",
  "matter_id": "mat_01JAZ6Q7K2",
  "document_id": "doc_01JAZ7C3V9",
  "chain_id": "ach_01J8X2V6N1",
  "stage": 1,
  "status": "pending",
  "summary": "string",
  "requested_by": "usr_01J9M4X8D2",
  "requested_at": "2024-01-01T00:00:00Z",
  "due_at": "2024-01-01T00:00:00Z",
  "decided_by": null,
  "decided_at": "2024-01-01T00:00:00Z",
  "decision": "approved",
  "decision_note": "string"
}
401The API key is missing, malformed, expired, or revoked.application/json
errorobjectrequired
Object fields
codestringrequired
Stable machine-readable error code.
messagestringrequired
Human-readable summary.
request_idstringrequired
Identifier to include in a support ticket.
detailsobject[]
Array item fields
fieldstringrequired
Request field with an issue.
issuestringrequired
Human-readable validation problem.
Example response
{
  "error": {
    "code": "unauthorized",
    "message": "Provide a valid bearer API key.",
    "request_id": "req_01JAZA0P8M"
  }
}
403The API key does not have permission for this action.application/json
errorobjectrequired
Object fields
codestringrequired
Stable machine-readable error code.
messagestringrequired
Human-readable summary.
request_idstringrequired
Identifier to include in a support ticket.
detailsobject[]
Array item fields
fieldstringrequired
Request field with an issue.
issuestringrequired
Human-readable validation problem.
Example response
{
  "error": {
    "code": "forbidden",
    "message": "This API key does not have the required permission.",
    "request_id": "req_01JAZA0P8M"
  }
}
404The resource was not found in the authenticated Workspace.application/json
errorobjectrequired
Object fields
codestringrequired
Stable machine-readable error code.
messagestringrequired
Human-readable summary.
request_idstringrequired
Identifier to include in a support ticket.
detailsobject[]
Array item fields
fieldstringrequired
Request field with an issue.
issuestringrequired
Human-readable validation problem.
Example response
{
  "error": {
    "code": "not_found",
    "message": "The requested resource was not found.",
    "request_id": "req_01JAZA0P8M"
  }
}
409The operation conflicts with the current resource state.application/json
errorobjectrequired
Object fields
codestringrequired
Stable machine-readable error code.
messagestringrequired
Human-readable summary.
request_idstringrequired
Identifier to include in a support ticket.
detailsobject[]
Array item fields
fieldstringrequired
Request field with an issue.
issuestringrequired
Human-readable validation problem.
Example response
{
  "error": {
    "code": "state_conflict",
    "message": "The Matter cannot move to the requested status.",
    "request_id": "req_01JAZA0P8M"
  }
}
422One or more request fields are invalid.application/json
errorobjectrequired
Object fields
codestringrequired
Stable machine-readable error code.
messagestringrequired
Human-readable summary.
request_idstringrequired
Identifier to include in a support ticket.
detailsobject[]
Array item fields
fieldstringrequired
Request field with an issue.
issuestringrequired
Human-readable validation problem.
Example response
{
  "error": {
    "code": "validation_error",
    "message": "Correct the highlighted request fields.",
    "request_id": "req_01JAZA0P8M",
    "details": [
      {
        "field": "target_signature_date",
        "issue": "must be today or later"
      }
    ]
  }
}

Docs created for you by SaturnDocs